var socket = new WebSocket('ws://localhost:8080/WebSocket/sensor-data');

socket.onopen = function() {
    console.log('WebSocket connection established');
};

socket.onmessage = function(event) {
    const data = JSON.parse(event.data);
    console.log('Received sensor data:', data);
};

socket.onclose = function(event) {
    console.log('WebSocket connection closed:', event.code, event.reason);
};

socket.onerror = function(event) {
    console.error('WebSocket error:', event);
};