package SensorClass;

public class DopplerCurrentProfilerSensor extends AbstractSensorData{
    private Double noisePeakLevelB1;
    private Double noisePeakLevelB2;
    private Double noisePeakLevelB3;
    private Double noisePeakLevelB4;
    private Double noiseAverageLevelB1;
    private Double noiseAverageLevelB2;
    private Double noiseAverageLevelB3;
    private Double noiseAverageLevelB4;
    private Double recordState;
    private Double pingCount;



    public DopplerCurrentProfilerSensor(String id, String time, Double noisePeakLevelB1, Double noisePeakLevelB2, Double noisePeakLevelB3, Double noisePeakLevelB4, Double noiseAverageLevelB1, Double noiseAverageLevelB2, Double noiseAverageLevelB3, Double noiseAverageLevelB4, Double recordState, Double pingCount) {
        super(id, "Doppler Current Profiler Sensor", time);
        this.noisePeakLevelB1 = noisePeakLevelB1;
        this.noisePeakLevelB2 = noisePeakLevelB2;
        this.noisePeakLevelB3 = noisePeakLevelB3;
        this.noisePeakLevelB4 = noisePeakLevelB4;
        this.noiseAverageLevelB1 = noiseAverageLevelB1;
        this.noiseAverageLevelB2 = noiseAverageLevelB2;
        this.noiseAverageLevelB3 = noiseAverageLevelB3;
        this.noiseAverageLevelB4 = noiseAverageLevelB4;
        this.recordState = recordState;
        this.pingCount = pingCount;

    }

    public Double getNoisePeakLevelB1() {
        return noisePeakLevelB1;
    }

    public void setNoisePeakLevelB1(Double noisePeakLevelB1) {
        this.noisePeakLevelB1 = noisePeakLevelB1;
    }

    public Double getNoisePeakLevelB2() {
        return noisePeakLevelB2;
    }

    public void setNoisePeakLevelB2(Double noisePeakLevelB2) {
        this.noisePeakLevelB2 = noisePeakLevelB2;
    }

    public Double getNoisePeakLevelB3() {
        return noisePeakLevelB3;
    }

    public void setNoisePeakLevelB3(Double noisePeakLevelB3) {
        this.noisePeakLevelB3 = noisePeakLevelB3;
    }

    public Double getNoisePeakLevelB4() {
        return noisePeakLevelB4;
    }

    public void setNoisePeakLevelB4(Double noisePeakLevelB4) {
        this.noisePeakLevelB4 = noisePeakLevelB4;
    }

    public Double getNoiseAverageLevelB1() {
        return noiseAverageLevelB1;
    }

    public void setNoiseAverageLevelB1(Double noiseAverageLevelB1) {
        this.noiseAverageLevelB1 = noiseAverageLevelB1;
    }

    public Double getNoiseAverageLevelB2() {
        return noiseAverageLevelB2;
    }

    public void setNoiseAverageLevelB2(Double noiseAverageLevelB2) {
        this.noiseAverageLevelB2 = noiseAverageLevelB2;
    }

    public Double getNoiseAverageLevelB3() {
        return noiseAverageLevelB3;
    }

    public void setNoiseAverageLevelB3(Double noiseAverageLevelB3) {
        this.noiseAverageLevelB3 = noiseAverageLevelB3;
    }

    public Double getNoiseAverageLevelB4() {
        return noiseAverageLevelB4;
    }

    public void setNoiseAverageLevelB4(Double noiseAverageLevelB4) {
        this.noiseAverageLevelB4 = noiseAverageLevelB4;
    }

    public Double getRecordState() {
        return recordState;
    }

    public void setRecordState(Double recordState) {
        this.recordState = recordState;
    }

    public Double getPingCount() {
        return pingCount;
    }

    public void setPingCount(Double pingCount) {
        this.pingCount = pingCount;
    }

    @Override
    public String toString() {
        return "DopplerCurrentProfilerSensor{" +
                "noisePeakLevelB1=" + noisePeakLevelB1 +
                ", noisePeakLevelB2=" + noisePeakLevelB2 +
                ", noisePeakLevelB3=" + noisePeakLevelB3 +
                ", noisePeakLevelB4=" + noisePeakLevelB4 +
                ", noiseAverageLevelB1=" + noiseAverageLevelB1 +
                ", noiseAverageLevelB2=" + noiseAverageLevelB2 +
                ", noiseAverageLevelB3=" + noiseAverageLevelB3 +
                ", noiseAverageLevelB4=" + noiseAverageLevelB4 +
                ", recordState=" + recordState +
                ", pingCount=" + pingCount +
                '}';
    }
}
