package SensorClass;


public class SeaBirdSensor extends AbstractSensorData{
    private Double temperature;
    private Double conductivity;
    private Double pressure;
    private Double oxygen;
    private Double soundVelocity;

    public SeaBirdSensor(String id, String time, Double temperature, Double conductivity, Double pressure, Double oxygen, Double soundVelocity) {
        super(id, "SeaBird SBE", time);
        this.temperature = temperature;
        this.conductivity = conductivity;
        this.pressure = pressure;
        this.oxygen = oxygen;
        this.soundVelocity = soundVelocity;
    }
    public Double getTemperature() {
        return temperature;
    }

    public void setTemperature(Double temperature) {
        this.temperature = temperature;
    }
    public Double getConductivity() {
        return conductivity;
    }

    public void setConductivity(Double conductivity) {
        this.conductivity = conductivity;
    }
    public Double getPressure() {
        return pressure;
    }

    public void setPressure(Double pressure) {
        this.pressure = pressure;
    }
    public Double getOxygen() {
        return oxygen;
    }

    public void setOxygen(Double oxygen) {
        this.oxygen = oxygen;
    }
    public Double getSoundVelocity() {
        return soundVelocity;
    }

    public void setSoundVelocity(Double soundVelocity) {
        this.soundVelocity = soundVelocity;
    }

    @Override
    public String toString() {
        return "SeaBirdSensor{" +
                "temperature=" + temperature +
                ", conductivity=" + conductivity +
                ", pressure=" + pressure +
                ", oxygen=" + oxygen +
                ", soundVelocity=" + soundVelocity +
                '}';
    }
}
