package SensorClass;

public class TemperatureSensor extends AbstractSensorData{
    private Double temperature;

    public TemperatureSensor(String id,String time, Double temperature) {
        super(id, "Temperature Sensor", time);
        this.temperature = temperature;
    }

    public Double getTemperature() {
        return temperature;
    }

    public void setTemperature(Double temperature) {
        this.temperature = temperature;
    }

    @Override
    public String toString() {
        return "TemperatureSensor{" +
                "temperature=" + temperature +
                '}';
    }
}
