package WebSocket;

import org.eclipse.jetty.server.Server;
import org.eclipse.jetty.websocket.server.WebSocketHandler;
import org.eclipse.jetty.websocket.servlet.WebSocketServletFactory;

public class SocketServer {

    public static void runSocketServer() throws Exception {

        try {
            Server server = new Server(8081);
            WebSocketHandler wsHandler = new WebSocketHandler() {
                @Override
                public void configure(WebSocketServletFactory factory) {
                    // Register the WebSocket handler class
                    factory.register(SocketHandler.class);
                }
            };
            server.setHandler(wsHandler);
            server.start();
            System.out.println("Socket server started");

        } catch (Exception e) {
            e.printStackTrace();
        }


    }
}