//map config, center and zoom
let mapConfig = {
    center: [60.1059,5.1706],
    zoom: 14
}
//make map
let map = new L.map('map', mapConfig);

//make layers
let layer = new L.tileLayer('https://tile.openstreetmap.org/{z}/{x}/{y}.png',
    //added in Openstreetmap attribution, Leaflet automatically added
    {attribution: '&copy; <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a>'}
    );

//add layer to map
map.addLayer(layer);


//Markers, with popup when clicked
//L.marker([60.1095, 5.182]).addTo(map).on('mouseover', onClick);
let testMarker = new L.marker([60.1095, 5.182]);
testMarker.bindPopup('Austevoll - Nord').openPopup();
testMarker.addTo(map);



let testMarker2 = new L.marker([60.1060, 5.185]);
testMarker2.bindPopup('Austevoll - Sør').openPopup();
testMarker2.addTo(map);

//function onClick(e){
//    alert("Test sensor");}