package SensorClass;

public class OxygenOptodeSensor extends AbstractSensorData{
    private Double o2Concentration;
    private Double airSaturation;
    private Double temperature;


    public OxygenOptodeSensor(String id, String time, Double o2Concentration, Double airSaturation , Double temperature) {
        super(id, "Oxygen Optode", time);
        this.o2Concentration = o2Concentration;
        this.airSaturation = airSaturation;
        this.temperature = temperature;

    }

    public Double getTemperature() {
        return temperature;
    }

    public void setTemperature(Double temperature) {
        this.temperature = temperature;
    }

    public Double getO2Concentration() {
        return o2Concentration;
    }

    public void setO2Concentration(Double o2Concentration) {
        this.o2Concentration = o2Concentration;
    }

    public Double getAirSaturation() {
        return airSaturation;
    }

    public void setAirSaturation(Double airSaturation) {
        this.airSaturation = airSaturation;
    }

    @Override
    public String toString() {
        return "OptodeSensor{" +
                "o2Concentration=" + o2Concentration +
                ", airSaturation=" + airSaturation +
                ", temperature=" + temperature +
                '}';
    }
}
