package SensorClass;

public class TideSensor extends AbstractSensorData{
    private Double pressure;

    private Double temperature;

    private Double tidePressure;
    private Double tideLevel;

    public TideSensor(String id, String time, Double pressure, Double temperature, Double tidePressure, Double tideLevel) {
        super(id, "Tide Sensor", time);
        this.pressure = pressure;
        this.temperature = temperature;
        this.tidePressure = tidePressure;
        this.tideLevel = tideLevel;
    }

    public Double getTemperature() {
        return temperature;
    }

    public void setTemperature(Double temperature) {
        this.temperature = temperature;
    }

    public Double getPressure() {
        return pressure;
    }

    public void setPressure(Double pressure) {
        this.pressure = pressure;
    }

    public Double getTidePressure() {
        return tidePressure;
    }

    public void setTidePressure(Double tidePressure) {
        this.tidePressure = tidePressure;
    }

    public Double getTideLevel() {
        return tideLevel;
    }

    public void setTideLevel(Double tideLevel) {
        this.tideLevel = tideLevel;
    }

    @Override
    public String toString() {
        return "TideSensor{" +
                "temperature=" + temperature +
                ", pressure=" + pressure +
                ", tidePressure=" + tidePressure +
                ", tideLevel=" + tideLevel +
                '}';
    }
}
