//map config, center and zoom
let mapConfig = {
    center: [60.1059,5.1706],
    zoom: 14
}
//make map
let map = new L.map('map', mapConfig);

//make layers
let layer = new L.tileLayer('https://tile.openstreetmap.org/{z}/{x}/{y}.png',
    //added in Openstreetmap attribution, Leaflet automatically added
    {attribution: '&copy; <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a>'}
    );

//add layer to map
map.addLayer(layer);

const redIcon = L.icon({
    iconUrl: "https://cdn.rawgit.com/pointhi/leaflet-color-markers/master/img/marker-icon-2x-red.png",
    shadowUrl: "https://cdnjs.cloudflare.com/ajax/libs/leaflet/1.3.1/images/marker-shadow.png",
    iconSize: [25, 41],
    iconAnchor: [12, 41],
    shadowSize: [41, 41],
    shadowAnchor: [12, 41]
});
const blueIcon = L.icon({
    iconUrl: "https://cdn.rawgit.com/pointhi/leaflet-color-markers/master/img/marker-icon-2x-blue.png",
    shadowUrl: "https://cdnjs.cloudflare.com/ajax/libs/leaflet/1.3.1/images/marker-shadow.png",
    iconSize: [25, 41],
    iconAnchor: [12, 41],
    shadowSize: [41, 41],
    shadowAnchor: [12, 41]
});




//Markers, with popup when clicked
//L.marker([60.1095, 5.182]).addTo(map).on('mouseover', onClick);
let austevollNordMarker = new L.marker([60.1095, 5.182]);
austevollNordMarker.addTo(map);

let austevollMarker = new L.marker([60.1060, 5.185]);
austevollMarker.addTo(map);

let austevollSorMarker = new L.marker([60.1020, 5.192]);
austevollSorMarker.addTo(map);



//function onClick(e){
//    alert("Test sensor");}